
Redmine - Defect #22694

Associated revision content is not escaped

2016-05-01 02:53 - Tom Rochette

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

In my commit, I have the following content:

[Fixes #2436] Adding new text in a contenteditable/list item converts spaces into &nbsp;

 But in the affected revision box, the following is displayed:

[Fixes #2436] Adding new text in a contenteditable/list item converts spaces into  

 The content in the changesets table correspond to the content listed in the commit, so it appears to be only display related.

Redmine version                3.2.0.stable

  Ruby version                   1.9.3-p551 (2014-11-13) [x86_64-linux]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

Related issues:

Related to Redmine - Feature #22758: Make text formatting of commit messages ... Closed

History

#1 - 2016-05-01 12:28 - Toshi MARUYAMA

- Target version set to 3.3.0

#2 - 2016-05-07 09:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Not a defect, commit messages are parsed with the text formatter (eg. Textile).

I've added #22758 to 3.4.0 for those who don't want to display their commit messages without text formatting.

#3 - 2016-05-07 09:42 - Jean-Philippe Lang

- Target version deleted (3.3.0)

#4 - 2016-05-07 09:42 - Jean-Philippe Lang

- Related to Feature #22758: Make text formatting of commit messages optional added
